Subject: bug#56528: 29.0.50; Emacs lucid segfaults when X dies

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jul 2022 20:50:25 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 13 Jul 2022 22:50:30 +0530
> 
> >> #0  message3_nolog (m=XIL(0x555556066254)) at xdisp.c:11770
> >> #1  0x00005555555f3449 in message3 (m=XIL(0x555556066254)) at xdisp.c:11698
> >> #2  0x0000555555848e28 in Fmessage (nargs=2, args=0x7ffff15ff250) at editfns.c:2881
> >
> > Here's an excellent example of what I was trying to say: this says
> > that Emacs tried to show some message, and crashed because that
> > requires a valid frame with a terminal connection.  What do you expect
> > Emacs to do here?
> 
> Ignore it?

How would Emacs know it should ignore it?

> Or write it to stdout?

What stdout? the daemon session doesn't have any stdout.

> I killed X the same way I did here last month and
> Emacs coped just fine; the same way being M-! pkill X RET.

I told you: sheer luck.

> > I think we should close this bug as wontfix.  It's unreasonable to
> > expect a GUI program to stay in the air when its GUI infrastructure is
> > forcibly killed.
> 
> Please reconsider.  I will finally quote etc/PROBLEMS here,
> 
>     ** When Emacs is compiled with Gtk+, closing a display kills Emacs.

"Closing the display" and killing X is not the same.